{
    attributes = (
        {columnName = id; name = id; valueClassName = NSNumber; valueType = i; }, 
        {
            columnName = orderRequestHeaderID; 
            name = orderRequestHeaderID; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (id, orderRequestHeaderID); 
    className = "org.cocktail.fwkcktlb2b.cxml.server.metier.EOOrderRequest"; 
    classProperties = (itemOuts, orderRequestHeader); 
    externalName = OrderRequest; 
    fetchSpecificationDictionary = {}; 
    name = OrderRequest; 
    primaryKeyAttributes = (id); 
    relationships = (
        {definition = "orderRequestItemOuts.itemOut"; name = itemOuts; }, 
        {
            destination = OrderRequestHeader; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = orderRequestHeaderID; }); 
            name = orderRequestHeader; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = OrderRequestItemOut; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = orderRequestId; sourceAttribute = id; }); 
            name = orderRequestItemOuts; 
            propagatesPrimaryKey = Y; 
        }
    ); 
}
